#include <iostream>
using namespace std;
main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
long long n,x,max,min;
cin>>n>>x;
max=x;
min=x;
long long a[n];
for(int i=0;i<n;i++){
    cin>>a[i];
    if(a[i]>max)max=a[i];
    if(a[i]<min)min=a[i];
}
if(min==x||max==x)cout<<max-min;
else{
    if(x-min<max-x)cout<<max-min+x-min;
    if(max-x<x-min)cout<<max-min+max-x;
}
}